## org.exist.source
Class ClassLoaderSource

    java.lang.Object
      org.exist.source.AbstractSource
          org.exist.source.URLSource
              org.exist.source.ClassLoaderSource

All Implemented Interfaces:
  Source

public class ClassLoaderSource
extends URLSource

A source loaded through the current context class loader.

Author:
  wolf

Field Summary
`static java.lang.String` `PROTOCOL`

Fields inherited from interface org.exist.source.Source
`INVALID, UNKNOWN, VALID`

Constructor Summary
`ClassLoaderSource(java.lang.String source)`

Methods inherited from class org.exist.source.URLSource
`getContent, getKey, getReader, getURL, isValid, isValid`

Methods inherited from class org.exist.source.AbstractSource
`equals, getCacheTimestamp, hashCode, setCacheTimestamp`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTOCOL

    public static final java.lang.String PROTOCOL

See Also:
  Constant Field Values

Constructor Detail

### ClassLoaderSource

    public ClassLoaderSource(java.lang.String source)
                      throws java.io.IOException

Parameters:
  `source` - The resource name (e.g. url).

  The name of a resource is a '`/`'-separated path name that identifies the resource. Preceding "/" and "resource:"" are removed.

Copyright (C) Wolfgang Meier. All rights reserved.